summaryrefslogtreecommitdiffstats
path: root/audio/portmidi/portmidi.SlackBuild
diff options
context:
space:
mode:
author David Woodfall <dave@unrealize.co.uk>2010-05-13 00:57:30 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:30 +0200
commit1f7e9927e4bb1567554f752684760d90d24d6222 (patch)
treeb1cf0afb194402d404c8c35020942ff91392d3c6 /audio/portmidi/portmidi.SlackBuild
parent41112b2fe107bdbbb97f5935a20f7f73ebafea4d (diff)
downloadslackbuilds-1f7e9927e4bb1567554f752684760d90d24d6222.tar.gz
slackbuilds-1f7e9927e4bb1567554f752684760d90d24d6222.tar.xz
audio/portmidi: Added to 13.0 repository
Diffstat (limited to 'audio/portmidi/portmidi.SlackBuild')
-rw-r--r--audio/portmidi/portmidi.SlackBuild103
1 files changed, 103 insertions, 0 deletions
diff --git a/audio/portmidi/portmidi.SlackBuild b/audio/portmidi/portmidi.SlackBuild
new file mode 100644
index 0000000000..22f51979ef
--- /dev/null
+++ b/audio/portmidi/portmidi.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for portmidi
+
+# Copyright 2009 David Woodfall <dave@unrealize.co.uk>
+# aka dive in #slackware on freenode.net
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. FURTHERMORE I AM NOT LIABLE IF
+# YOUR DATA IS DESTROYED, YOUR HOUSE BURNS DOWN OR YOUR DOG RUNS OFF.
+
+# Thanks to Camarade_Tux, Fire|Bird, and Metrofox for their assistance in
+# getting the 64 bit build to work, and for putting up with constant cries
+# for help ;-)
+
+
+PRGNAM=portmidi
+VERSION=${VERSION:-184}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+unzip $CWD/$PRGNAM-src-$VERSION.zip
+cd $PRGNAM
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix the libjvm.so path. This is *really* only needed on x86_64, but fixing
+# it on both arches looks prettier :-) --rworkman
+sed "s%@LIBDIR@%/usr/lib${LIBDIRSUFFIX}%" $CWD/fixup_java_path.diff | patch -p1
+
+cmake . \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX="/usr"
+
+make
+make install DESTDIR=$PKG
+
+# Apparently that PREFIX="/usr" above was ignored... no surprise, I guess,
+# considering the fact that pretty much everything else is hardcoded badly
+mv $PKG/usr/local/{bin,include,lib} $PKG/usr
+rm -rf $PKG/usr/local
+[ "$ARCH" = "x86_64" ] && mv $PKG/usr/lib $PKG/usr/lib64
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.txt README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}